require "rubygems"

spec = Gem::Specification.new do |gem|
   gem.name        = "pathname2"
   gem.version     = "1.5.2"
   gem.author      = "Daniel J. Berger"
   gem.email       = "djberg96@gmail.com"
   gem.homepage    = "http://www.rubyforge.org/projects/shards"
   gem.platform    = Gem::Platform::RUBY
   gem.description = "An alternate implementation of the Pathname class"
   gem.summary     = "An alternate implementation of the Pathname class"
   gem.test_file   = "test/tc_pathname.rb"
   gem.test_file   = "test/tc_pathname_win.rb" if PLATFORM.match("mswin")
   gem.has_rdoc    = true
   gem.files = Dir['lib/*.rb'] + Dir['[A-Z]*']  + Dir['test/*']
   gem.files.reject! { |fn| fn.include? "CVS" }
   gem.require_path = "lib"
   gem.extra_rdoc_files = ["README","CHANGES"]
   gem.add_dependency("facade", ">= 1.0.0")
   if RUBY_PLATFORM.match('mswin')
      gem.add_dependency("windows-pr", ">= 0.5.1")
   end
end

if $0 == __FILE__
   Gem.manage_gems
   Gem::Builder.new(spec).build
end
