########################################################################
# example_pathname.rb
#
# Some examples to demonstrate the behavior of the pathname2 library.
########################################################################
base = File.basename(Dir.pwd)
if base == "examples" || base =~ /pathname2/i
   Dir.chdir("..") if base == "examples"
   $LOAD_PATH.unshift(Dir.pwd + "/lib")
end

require "pathname2"

puts "VERSION: " + Pathname::VERSION

path1 = Pathname.new("foo/bar")
path2 = Pathname.new("baz/blah")

path3 = Pathname.new("foo/../bar")
path4 = Pathname.new("../baz")

p path1 + path2 # foo/bar/baz/blah
p path3 + path4 # baz
